curl --request POST \
--url https://api-sandbox.circle.com/v1/accounts/transfers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"source": {
"type": "account",
"id": "1000565227"
},
"destination": {
"type": "account",
"id": "1000662322"
},
"amount": {
"amount": "10.00",
"currency": "USD"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/accounts/transfers"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"source": {
"type": "account",
"id": "1000565227"
},
"destination": {
"type": "account",
"id": "1000662322"
},
"amount": {
"amount": "10.00",
"currency": "USD"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
source: {type: 'account', id: '1000565227'},
destination: {type: 'account', id: '1000662322'},
amount: {amount: '10.00', currency: 'USD'}
})
};
fetch('https://api-sandbox.circle.com/v1/accounts/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"source": {
"type": "account",
"id": "1000565227",
"description": "Your Payments Account"
},
"destination": {
"type": "account",
"id": "1000662322",
"description": "Merchant Subledger Account"
},
"amount": {
"amount": "10.00",
"currency": "USD"
},
"status": "pending",
"createDate": "2020-04-10T02:13:30.000Z"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 3,
"message": "Forbidden"
}{
"code": 500,
"message": "Internal server error."
}Create an account transfer
Create an internal transfer from an account to another account under the same parent. Supported paths are subaccount to subaccount, main wallet to subaccount, and subaccount to main wallet. Cross-parent transfers are rejected.
This endpoint creates internal transfers only. Sending funds to an external blockchain address is not
supported, and both source and destination must be of type account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for creating an internal account-to-account transfer.
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
The destination account for an internal transfer.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The source of the transfer. The type must be account.
Show child attributes
Show child attributes
Response
Successfully created a transfer.
A transfer of funds returned by the create transfer endpoint. Both source and destination are always accounts, because this endpoint only creates internal account-to-account transfers.
Show child attributes
Show child attributes
Was this page helpful?